Package skyview.geometry.projecter

# Class Xtn

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Tan
skyview.geometry.projecter.Xtn

All Implemented Interfaces:
  `Serializable`, `Component`

public class Xtn extends Tan
This class implements a tangent plane projection for the NEAT survey. The NEAT projection is not a real tangent plane projection, since there is an extra distortion, but this projection will be used for proxy images where the distortion is not known to mark that we do not have a standard tangent plane projection. When the actual image is downloaded, we can provide a combination of standard Tangent plane projecter and NEAT distorter to correctly transform coordinates.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class skyview.geometry.projecter.Tan

`Tan.TanDeproj`

## Constructor Summary

Constructors
Constructor
Description
`Xtn()`

## Method Summary

### Methods inherited from class skyview.geometry.projecter.Tan

`allValid, getDescription, getName, inverse, isInverse, tissot, transform`

### Methods inherited from class skyview.geometry.Projecter

`getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, straddle, straddleable, straddleComponents, validPosition`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Xtn

public Xtn()